Bug 694222 - Brightness controls no longer work.
Brightness controls no longer work.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
14
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Lukáš Tinkl
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-06 14:29 EDT by Dhaval Giani
Modified: 2015-07-13 13:35 EDT (History)
12 users (show)

See Also:
Fixed In Version: darktable-0.8-7.fc14.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-21 18:28:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dhaval Giani 2011-04-06 14:29:55 EDT
Description of problem:
Since the latest update to KDE 4.6, the brightness control no longer works. I have chosen kdebase as the component since I am not sure whom to blame ;-).

Version-Release number of selected component (if applicable):
kdebase-4.6.1-3.fc14.x86_64

How reproducible:
Everytime.

Steps to Reproduce:
1. Try adjusting the brightness
2.
3.
  
Actual results:
No change in brightness

Expected results:
A change in brightness

Additional info:
There seem to be two levels. A low brightness level and a zero brightness level. It does not reach maximum brightness. I can see the screen at full brightness at the login screen, but as it starts logging in, the brightness control is lost.
Comment 1 Dhaval Giani 2011-04-06 15:49:21 EDT
and information i stupidly forgot to put here. :)

[dhaval@gondor ~]$ lspci 
00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 02)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 02)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:16.3 Serial controller: Intel Corporation 5 Series/3400 Series Chipset KT Controller (rev 06)
00:19.0 Ethernet controller: Intel Corporation 82577LM Gigabit Network Connection (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
00:1f.6 Signal processing controller: Intel Corporation 5 Series/3400 Series Chipset Thermal Subsystem (rev 06)
01:00.0 VGA compatible controller: nVidia Corporation GT218 [NVS 3100M] (rev a2)
01:00.1 Audio device: nVidia Corporation High Definition Audio Controller (rev a1)
03:00.0 Network controller: Intel Corporation Centrino Wireless-N 1000
0d:00.0 SD Host controller: Ricoh Co Ltd Device e822 (rev 01)
0d:00.1 System peripheral: Ricoh Co Ltd Device e230 (rev 01)
0d:00.3 FireWire (IEEE 1394): Ricoh Co Ltd Device e832 (rev 01)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
[dhaval@gondor ~]$
Comment 2 Lukáš Tinkl 2011-04-07 06:52:01 EDT
What gfx driver do you use? Nouveau or the proprietary blob from nvidia?
Comment 3 Dhaval Giani 2011-04-07 07:59:32 EDT
nouveau.
Comment 4 Lukáš Tinkl 2011-04-13 07:07:19 EDT
Should be fixed with the 4.6.2 update
Comment 5 Fedora Update System 2011-04-13 11:52:01 EDT
darktable-0.8-7.fc14.1, exiv2-0.21.1-1.fc14, geeqie-1.0-9.fc14.1, gipfel-0.3.2-7.fc14, gnome-commander-1.2.8.10-1.fc14.1, gpscorrelate-1.6.1-3.fc14, gthumb-2.12.2-1.fc14.2, hugin-2010.2.0-2.fc14, immix-1.3.2-10.fc14, kde-l10n-4.6.2-1.fc14.1, kdeaccessibility-4.6.2-1.fc14, kdeadmin-4.6.2-2.fc14, kdeartwork-4.6.2-1.fc14, kdebase-4.6.2-1.fc14, kdebase-runtime-4.6.2-1.fc14, kdebase-workspace-4.6.2-2.fc14, kdebindings-4.6.2-1.fc14, kdeedu-4.6.2-1.fc14, kdegames-4.6.2-1.fc14, kdegraphics-4.6.2-1.fc14, kdelibs-4.6.2-1.fc14, kdemultimedia-4.6.2-1.fc14, kdenetwork-4.6.2-1.fc14, kdepimlibs-4.6.2-1.fc14, kdeplasma-addons-4.6.2-1.fc14, kdesdk-4.6.2-1.fc14, kdetoys-4.6.2-1.fc14, kdeutils-4.6.2-1.fc14, koffice-2.3.3-1.fc14.1, kphotoalbum-4.1.1-8.fc14, krename-4.0.7-2.fc14, libextractor-0.6.2-1402.fc14, libgexiv2-0.2.2-2.fc14, merkaartor-0.17.2-2.fc14, oxygen-icon-theme-4.6.2-1.fc14, pyexiv2-0.3.0-1.fc14, qtpfsgui-1.9.3-6.fc14, rawstudio-2.0-0.1.fc14.beta1.1, shotwell-0.8.1-3.fc14, strigi-0.7.2-5.fc14.1, ufraw-0.18-2.fc14.1 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/darktable-0.8-7.fc14.1,exiv2-0.21.1-1.fc14,geeqie-1.0-9.fc14.1,gipfel-0.3.2-7.fc14,gnome-commander-1.2.8.10-1.fc14.1,gpscorrelate-1.6.1-3.fc14,gthumb-2.12.2-1.fc14.2,hugin-2010.2.0-2.fc14,immix-1.3.2-10.fc14,kde-l10n-4.6.2-1.fc14.1,kdeaccessibility-4.6.2-1.fc14,kdeadmin-4.6.2-2.fc14,kdeartwork-4.6.2-1.fc14,kdebase-4.6.2-1.fc14,kdebase-runtime-4.6.2-1.fc14,kdebase-workspace-4.6.2-2.fc14,kdebindings-4.6.2-1.fc14,kdeedu-4.6.2-1.fc14,kdegames-4.6.2-1.fc14,kdegraphics-4.6.2-1.fc14,kdelibs-4.6.2-1.fc14,kdemultimedia-4.6.2-1.fc14,kdenetwork-4.6.2-1.fc14,kdepimlibs-4.6.2-1.fc14,kdeplasma-addons-4.6.2-1.fc14,kdesdk-4.6.2-1.fc14,kdetoys-4.6.2-1.fc14,kdeutils-4.6.2-1.fc14,koffice-2.3.3-1.fc14.1,kphotoalbum-4.1.1-8.fc14,krename-4.0.7-2.fc14,libextractor-0.6.2-1402.fc14,libgexiv2-0.2.2-2.fc14,merkaartor-0.17.2-2.fc14,oxygen-icon-theme-4.6.2-1.fc14,pyexiv2-0.3.0-1.fc14,qtpfsgui-1.9.3-6.fc14,rawstudio-2.0-0.1.fc14.beta1.1,shotwell-0.8.1-3.fc14,strigi-0.7.2-5.fc14.1,ufraw-0.18-2.fc14.1
Comment 6 Fedora Update System 2011-04-21 18:28:40 EDT
darktable-0.8-7.fc14.1, exiv2-0.21.1-1.fc14, geeqie-1.0-9.fc14.1, gipfel-0.3.2-7.fc14, gnome-commander-1.2.8.10-1.fc14.1, gpscorrelate-1.6.1-3.fc14, gthumb-2.12.2-1.fc14.2, hugin-2010.2.0-2.fc14, immix-1.3.2-10.fc14, kde-l10n-4.6.2-1.fc14.1, kdeaccessibility-4.6.2-1.fc14, kdeadmin-4.6.2-2.fc14, kdeartwork-4.6.2-1.fc14, kdebase-4.6.2-1.fc14, kdebase-runtime-4.6.2-1.fc14, kdebase-workspace-4.6.2-2.fc14, kdebindings-4.6.2-1.fc14, kdeedu-4.6.2-1.fc14, kdegames-4.6.2-1.fc14, kdegraphics-4.6.2-1.fc14, kdelibs-4.6.2-1.fc14, kdemultimedia-4.6.2-1.fc14, kdenetwork-4.6.2-1.fc14, kdepimlibs-4.6.2-1.fc14, kdeplasma-addons-4.6.2-1.fc14, kdesdk-4.6.2-1.fc14, kdetoys-4.6.2-1.fc14, kdeutils-4.6.2-1.fc14, koffice-2.3.3-1.fc14.1, kphotoalbum-4.1.1-8.fc14, krename-4.0.7-2.fc14, libextractor-0.6.2-1402.fc14, libgexiv2-0.2.2-2.fc14, merkaartor-0.17.2-2.fc14, oxygen-icon-theme-4.6.2-1.fc14, pyexiv2-0.3.0-1.fc14, qtpfsgui-1.9.3-6.fc14, rawstudio-2.0-0.1.fc14.beta1.1, shotwell-0.8.1-3.fc14, strigi-0.7.2-5.fc14.1, ufraw-0.18-2.fc14.1 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.